> ## Documentation Index
> Fetch the complete documentation index at: https://integrations.truecold.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update alert



## OpenAPI

````yaml put /alert/{id}
openapi: 3.0.0
info:
  title: TrueCold API
  version: 1.0.0
  description: API documentation for TrueCold application
servers:
  - url: https://api.truecold.io
    description: Production server
security:
  - apiKeyAuth: []
tags:
  - name: Carriers
    description: Carrier management operations
  - name: Shipments
    description: Shipment tracking and management
  - name: Deliveries
    description: Delivery management operations
  - name: Locations
    description: Location management
  - name: Handling Units
    description: Handling unit operations
  - name: Alerts
    description: Alert system management
  - name: Sensors
    description: Sensor management and monitoring
paths:
  /alert/{id}:
    put:
      tags:
        - Alerts
      summary: Update alert
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
          description: Alert ID
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AlertInput'
      responses:
        '200':
          description: Successfully updated alert
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Alert'
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Alert not found
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - apiKeyAuth: []
components:
  schemas:
    AlertInput:
      type: object
      description: Alert input data for update
      properties:
        status:
          type: string
          enum:
            - OPEN
            - IN_PROGRESS
            - DONE
            - INVALID
          description: New alert status
      required:
        - status
    Alert:
      type: object
      description: Alert entity (API response)
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier
        created_at:
          type: string
          format: date-time
          description: Creation timestamp
        updated_at:
          type: string
          format: date-time
          description: Last update timestamp
        handling_unit_id:
          type: string
          format: uuid
          description: Handling unit ID
        min_temp:
          type: number
          description: Min Temp
        max_temp:
          type: number
          description: Max Temp
        excursion_minutes:
          type: integer
          description: Excursion Minutes
        account_id:
          type: string
          format: uuid
          description: Account ID
        owner_id:
          type: string
          format: uuid
          description: Owner ID
        delivery_id:
          type: string
          format: uuid
          description: Delivery ID
        shipment_id:
          type: string
          format: uuid
          description: Shipment ID
        sites_id:
          type: array
          format: uuid
          description: Sites ID
          items:
            type: string
        code:
          type: string
          description: code code
        status:
          type: string
          description: Status
        trigger_id:
          type: string
          format: uuid
          description: Trigger ID
        carrier_code:
          type: string
          description: carrier code
        receiver_code:
          type: string
          description: receiver code
        transport_mode:
          type: string
          description: Transport Mode
        type:
          type: string
          description: Type
        allowance_minutes:
          type: integer
          description: Allowance Minutes
        max_temp_allowed:
          type: number
          description: Max Temp Allowed
        min_temp_allowed:
          type: number
          description: Min Temp Allowed
        handling_unit_history_id:
          type: string
          format: uuid
          description: Handling unit history ID
          nullable: true
        scope:
          type: string
          enum:
            - DELIVERY
            - SHIPMENT
            - HU_ZONE
            - HU_DELIVERY
            - ZONE
          description: Alert scope
          nullable: true
        zone_id:
          type: string
          format: uuid
          description: Zone ID
          nullable: true
        latitude:
          type: number
          description: Latitude
          nullable: true
        longitude:
          type: number
          description: Longitude
          nullable: true
        sensor_id:
          type: string
          format: uuid
          description: Sensor ID
          nullable: true
        carrier_id:
          type: string
          format: uuid
          description: Carrier ID
          nullable: true
        location_id:
          type: string
          format: uuid
          description: Location ID
          nullable: true
        ai:
          type: boolean
          description: AI-generated alert
          nullable: true
    Error:
      type: object
      properties:
        message:
          type: string
          description: Error message
          example: An error occurred
        code:
          type: string
          description: Error code
          example: ERROR_CODE
        details:
          type: object
          description: Additional error details (optional)
      required:
        - message
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        API key for authentication. Contact your administrator to get an API
        key.

````